﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace XamGridExpand
{
    public class CalcItem
    {
        ObservableCollection<CalcItem> items;
        public string ShortName { get; set; }
        public string Name { get; set; }
        public double Min { get; set; }
        public double Prob { get; set; }
        public double Max { get; set; }
        public double Mean { get; set; }
        public ObservableCollection<CalcItem> Calcs
        {
            get { return items == null ? items = new ObservableCollection<CalcItem>() : items; }
            set { items = value; }
        }
    }
}
