﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.Windows.Data;

// SVN test
namespace XamGridExpand
{
    public class MyLogic
    {
        ObservableCollection<CalcItem> items = new ObservableCollection<CalcItem>();
        public ObservableCollection<CalcItem> Calculations
        {
            get
            {
                if (items == null)
                    items = new ObservableCollection<CalcItem>();
                for (int x = 1; x <= 5; x++)
                    items.Add(NewItem(x.ToString(), "Calculation " + x, 2));
                return items;
            }
        }

        private static CalcItem NewItem(string shortName, string name, int level)
        {
            CalcItem i = new CalcItem { ShortName = shortName, Name = name, Min = 0, Prob = 0, Max = 0, Mean = 0 };
            if (level == 0)
                return i;
            for (int x = 1; x <= 3; x++)
                i.Calcs.Add(NewItem(shortName + "." + x, name + "." + x, level - 1));
            return i;
        }
    }
}
